Opened 12 years ago

Closed 12 years ago

#193 closed defect (fixed)

sugar-jhbuild: config file only for Debian unstable, not for lenny

Reported by: sascha_silbe Owned by: marcopg
Priority: normal Milestone:
Component: Sugar Version: Git as of bugdate
Severity: Keywords:
Cc: Distribution/OS: Unspecified
Bug Status: Unconfirmed

Description

sugar-jhbuild contains a config file for Debian unstable (and the wiki page for building sugar-jhbuild on Debian [1] now relies on that fact), but not for Debian lenny (the same config should work fine for now).
Output of "lsb_release -a":

No LSB modules are available.
Distributor ID: Debian
Description: DebianEdu/Skolelinux (terra)
Release: 5.0
Codename: lenny

[1] http://sugarlabs.org/go/DevelopmentTeam/Jhbuild/Debian

Change History (4)

comment:1 Changed 12 years ago by bernie

  • Component changed from git.sugarlabs.org to sugar
  • Owner changed from bernie to marcopg
  • Status changed from new to assigned

This bug should be reassigned to whoever maintains sugar-jhbuild, probably marcopg.

comment:2 Changed 12 years ago by tomeu

I think it's a matter of copying the debian-unstable.xml file to debian-5.0.xml.

Sascha, could you please try it and say if it works for you? Thanks!

comment:3 Changed 12 years ago by sascha_silbe

Just tried it on a fresh installation of lenny. The filename is correct.
zip (and probably unzip) are missing from the list (actually from both lists). Haven't checked the build logs yet for packages that autoconf just silently didn't use instead of aborting.
When trying to start the emulator, it aborts because the gconf Python module is missing. Unfortunately, python-gconf isn't available neither in lenny nor in unstable.

comment:4 Changed 12 years ago by dfarning

  • Bug Status set to Unconfimed
  • Distribution/OS set to Unspecified
  • Resolution set to fixed
  • Status changed from assigned to closed

Added debian.5.0.xml whith libsoup-dev updated to 2.4

Note: See TracTickets for help on using tickets.